Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.internal.tooling.controls
Class TemplateColorHexControlTester

    java.lang.Object
      org.eclipse.emf.ecp.view.template.internal.tooling.controls.TemplateColorHexControlTester

All Implemented Interfaces:
  ECPRendererTester

    public class TemplateColorHexControlTester

extends Object
implements ECPRendererTester

The tester for the `VTTableValidationStyleProperty#getImagePath()`.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.model.common.ECPRendererTester
`NOT_APPLICABLE`

Constructor Summary
`TemplateColorHexControlTester()`

Method Summary
`int` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` and `ViewModelContext` are fitting for the provided renderer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateColorHexControlTester

    public TemplateColorHexControlTester()

Method Detail

### isApplicable

    public int isApplicable(VElement vElement,
                            ViewModelContext viewModelContext)

  Description copied from interface: `ECPRendererTester`
  Check whether the provided `VElement` and `ViewModelContext` are fitting for the provided renderer.

  Specified by:
    `isApplicable` in interface `ECPRendererTester`
  Parameters:
    `vElement` - the `VElement` to check
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    `ECPRendererTester.NOT_APPLICABLE` if the corresponding renderer should not be used, a positive integer value otherwise. The renderer with the highest priority will be taken.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.